DRM_GET_EDID(9)

NAME
drm_get_edid - get EDID data, if available

SYNOPSIS

struct edid * drm_get_edid(struct drm_connector * connector, struct i2c_adapter * adapter);

ARGUMENTS

connector
    connector we're probing

adapter
    I2C adapter to use for DDC

DESCRIPTION

Poke the given I2C channel to grab EDID data if possible. If found, attach it to the connector.

RETURN

Pointer to valid EDID or NULL if we couldn't find any.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT